import { CreationCustomPreviewProvider } from '../creation-preview-provider.js';
export declare class CreationImagePreviewProvider extends CreationCustomPreviewProvider {
    private size;
    constructor(size: {
        width: number;
        height: number;
    });
    createFile(): any;
    display(blob: Blob): HTMLImageElement;
}
